Subject: Re: CPU Usage

From: TimY <[email-masked]>
Date: Wed, 2 Aug 2000 16:27:30 -0700

The 15-20% usage seems about right to me.  Xinet on our solaris box 
uses about that much CPU power as well.  The SMB seems like it is 
about what I have seen too.  I have samba on a Dual PPRO 200 with 
100base and it uses about that much.  As far as the photshop files 
creeping.  One thing I have noticed is if you connect using the 
chooser the mac sometimes does not connect using TCP/IP.  Try using 
the SERVER IP ADDRESS button in the chooser to log on.  This will 
guarantee that you are connecting over IP.  Then try copying over a 
file.  You can also get info on the volume through the finder and it 
will tell you how it is connected.  It sounds to me like you are only 
connecting using appletalk.  Lastly I would make sure you are using 
an SMP kernel.  I have had problems with stock SMP kernels and found 
it better to compile my own on dual machines.  I know you probrably 
know all of this already but I wanted to try to help out.

Hope this helps.
Tim Yardley
MIS Tech Dark Horse Comics

>
>>with one active mac client, i generate 15-20% cpu usage as reported by top
>>for just the afpd process. this just doesn't seem right. i also experience
>>15-20% cpu usage with samba (smbd process) for just one NT4 client, which
>>also seems high, but is a little easier to accept considering the speed of
>>the link. under a heavy load, it takes 30-60 seconds to refresh a finder
>>window, and my 20Mb Photoshop files creep across the network...
>>
>>is there something i'm missing? seems i remember someone mentioning some kind
>>of issue with SMP and RH6.x and netatalk, but i'm not sure where to go from
>>here. would a faster, single CPU do better?
>>
>>thanks,
>>bryan stalcup

---

From: bryan stalcup <[email-masked]>
Date: Wed, 02 Aug 2000 19:57:35 -0400

I'm definitely accessing the server over IP, but i'm not sure what i would mess
around with in the stock SMP kernels, what in particular should be turned off? or
are you suggesting a minimized (nothing extra) kernel?

i should probably define creeping... instead of 3-4 seconds for a 20Mb file, it's
20-30 seconds. like it seems to hang for a while before it starts sending the file.